###--- >>> `confint' <<<----- Confidence Intervals for Model Parameters

	## alias	 help(confint)

##___ Examples ___:

##Don't run: 
##D expn2 <- deriv(~b0 + b1*((w0 - b0)/b1)^(x/d0), 
##D          c("b0","b1","d0"), function(b0, b1, d0, x, w0) {})
##D 
##D wtloss.init <- function(obj, w0) {
##D   p <- coef(obj)
##D   d0 <-  - log((w0 - p["b0"])/p["b1"])/log(2) * p["th"]
##D   c(p[c("b0", "b1")], d0 = as.vector(d0))
##D }
##D 
##D out <- NULL
##D w0s <- c(110, 100, 90)
##D for(w0 in w0s) {
##D     fm <- nls(Weight ~ expn2(b0, b1, d0, Days, w0),
##D               wtloss, start = wtloss.init(wtloss.gr, w0))
##D     out <- rbind(out, c(coef(fm)["d0"], confint(fm, "d0")))
##D   }
##D dimnames(out) <- list(paste(w0s, "kg:"),  c("d0", "low", "high"))
##D out

## Keywords: 'models'.


